Index: TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEnginesManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEnginesManager.java	(revision 3817)
+++ TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEnginesManager.java	(revision 3818)
@@ -71,7 +71,7 @@
 				se.stop();
 			}
 			catch (Exception ex) {
-				Log.severe(Messages.ErrorFailedToStopAnnotationEngineP0P1 + se.getName() + ": " + ex.getLocalizedMessage());
+				Log.severe(NLS.bind(Messages.ErrorFailedToStopAnnotationEngineP0P1, se.getName(), ex.getLocalizedMessage()));
 			}
 		}
 		return true;
Index: TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java	(revision 3817)
+++ TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java	(revision 3818)
@@ -5,6 +5,7 @@
 import java.util.HashMap;
 import java.util.List;
 
+import org.eclipse.osgi.util.NLS;
 import org.txm.core.engines.Engine;
 import org.txm.core.results.TXMResult;
 import org.txm.objects.CorpusBuild;
@@ -68,7 +69,7 @@
 			}
 		});
 		if (files == null || files.length == 0) {
-			Log.warning(Messages.ErrorNoSuitableFileToProcessInP0 + xmlFilesDirectory);
+			Log.warning(NLS.bind(Messages.ErrorNoSuitableFileToProcessInP0, xmlFilesDirectory));
 			return false;
 		}
 		boolean ret = true;
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/KRAnnotationUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/KRAnnotationUIMessages.java	(revision 3817)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/KRAnnotationUIMessages.java	(revision 3818)
@@ -1,77 +0,0 @@
-package org.txm.annotation.kr.rcp.messages;
-
-import org.eclipse.osgi.util.NLS;
-import org.txm.utils.messages.Utf8NLS;
-
-
-/**
- * KR annotation UI messages.
- * 
- * @author mdecorde
- * @author sjacquot
- *
- */
-public class KRAnnotationUIMessages extends NLS {
-
-	private static final String BUNDLE_NAME = "org.txm.annotation.kr.rcp.messages.messages"; //$NON-NLS-1$
-	
-	static {
-		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, KRAnnotationUIMessages.class);
-	}
-
-	private KRAnnotationUIMessages() {
-	}
-
-	public static String availableValuesForP0; 
-	
-	public static String newValueP0ForCategoryP1; 
-	public static String theValueP0IsNotAssociatedWithTheCategoryP1AssociateIt; 
-	public static String addANewCategory; 
-	public static String proceedToAnnotation; 
-	public static String category; 
-	public static String keywordsAnnotation; 
-	public static String affect; 
-	public static String delete; 
-	public static String enterAValueForAnId; 
-	public static String selectedLines; 
-	public static String annotatingConcordanceSelection; 
-	public static String errorWhileAnnotatingConcordanceSelectionColonP0; 
-	public static String allLines; 
-	public static String errorWhileAnnotatingConcordanceColonP0; 
-	public static String errorWhileDeletingAnnotationColonP0; 
-	public static String lookingForTypedValueWithIdEqualsP0; 
-	public static String noValueFoundWithTheP0Id; 
-	public static String AffectP0ToSelectionEqualsP1; 
-	public static String couldNotAnnotateTheValueP0OnCertainSequences; 
-	public static String theSequenceP0IsOverlappingWith; 
-	public static String theEndOfAStructureP0AtP1P2; 
-	public static String theStartOfAStructureP0AtP1P2; 
-	public static String aboutAnnotations; 
-	public static String errorWhileAffectionAnnotationColonP0; 
-	public static String saveTheAnnotations; 
-	public static String openTheListOfCategories; 
-	public static String selectAValueAmongTheList; 
-	public static String valueEquals; 
-	public static String pleaseEnterTheNewTypeName; 
-	public static String newCategory; 
-	public static String withTheCategory; 
-	public static String oK; 
-	public static String confirmAnnotationAffectation; 
-	public static String youAreAboutToAnnotateP0ElementsContinue; 
-	public static String listOfCategories; 
-	public static String squencesDeMotsCatgorievaleur; 
-	public static String closeTheToolbarWithoutSaving; 
-	public static String annotationCanceledByUser; 
-	public static String availableAnnotationTypesColonP0; 
-	public static String errorColonNoSuitableKnowledgeRepositoryFound; 
-	public static String concordanceAnnotationArea; 
-	public static String squencesDeMotsCatgorie; 
-	public static String motsPropritsInfDfaut; 
-	public static String all; 
-	public static String nouvelleProprit; 
-	public static String nomDeLaPropritPatternEqualsazaz09Plus; 
-	public static String property;
-
-	public static String updatingTheP0Corpus; 
-}
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages.properties	(revision 3817)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages.properties	(revision 3818)
@@ -4,17 +4,21 @@
 addANewCategory=Add a new category
 affect=Assign
 AffectP0ToSelectionEqualsP1=Assign {0} to {1} for {1} elements.
+Annotation=Annotation
 all=All
 allLines=all lines
 annotatingConcordanceSelection=Annotating concordance selection…
 annotationCanceledByUser=Annotation canceled by user.
 availableAnnotationTypesColonP0=Available annotation types\: {0}
 availableValuesForP0=Available values for {0}
+BeforeSavingAnnotations=Before saving annotations...
 category=Category
 closeTheToolbarWithoutSaving=Close the toolbar without saving
 concordanceAnnotationArea=Concordance Annotation area
 confirmAnnotationAffectation=Confirm annotation assignment
 couldNotAnnotateTheValueP0OnCertainSequences=** Can not annotate the value {0} on certain sequences.
+CQPIndexesNotUpdatedOnlyTheXMLTXMFilesHaveBeenUpdated=CQP indexes not updated. Only the XML-TXM files have been updated. Call Update corpus later to access the annotations
+ErrorWhileReadingTheP0KRValuesForTheP1Type=Error while reading the {0} KR values for the {1} type.
 delete=Delete
 enterAValueForAnId=Enter a value for an identifier
 errorColonNoSuitableKnowledgeRepositoryFound=** No suitable knowledge repository found
@@ -22,20 +26,28 @@
 errorWhileAnnotatingConcordanceColonP0=** Error while annotating concordance\:  {0}
 errorWhileAnnotatingConcordanceSelectionColonP0=** Error while annotating concordance selection\: {0}
 errorWhileDeletingAnnotationColonP0=** Error while deleting annotation\: {0}
+executionCanceled=Execution canceled.
+FailToUpdateTheCorpusAborting=Fail to update the corpus. Aborting
+FixXMLTXMFilesAndCallCommandUpdateCorpus=Fix XML-TXM files and call command 'UpdateCorpus'
 keywordsAnnotation=Pivot annotation
+KnowledgeRepositoryName=Knowledge repository name
 listOfCategories=List of categories
 lookingForTypedValueWithIdEqualsP0=Looking for TypedValue with id\={0}
 motsPropritsInfDfaut=Words annotation
 newCategory=New category
 newValueP0ForCategoryP1=New value ''{0}'' for category ''{1}''.
+NoCQPAnnotationsFoundToSaveInTheCorporaP0=No CQP annotations found to save in the corpora: {0}
 nomDeLaPropritPatternEqualsazaz09Plus=Property name pattern\: [a-z][-a-z0-9]+
 nouvelleProprit=New property
 noValueFoundWithTheP0Id=No value found with the {0} identifier.
 oK=OK
 openTheListOfCategories=Open the list of categories
 pleaseEnterTheNewTypeName=Enter the name of the new category
+PreserveAnnotationBetweenTXMSessions=Preserve annotations between TXM sessions
 proceedToAnnotation=Proceed to annotation
 property=Property
+SaveAnnotationsAndUpdateTheCorpus=Save Annotations and update the corpus.
+SaveP0Annotations=Saving {0} annotations...
 saveTheAnnotations=Save the annotations
 selectAValueAmongTheList=Select a value among the list
 selectedLines=selected lines
@@ -45,6 +57,11 @@
 theSequenceP0IsOverlappingWith=\ - The sequence {0} is overlapping with  
 theStartOfAStructureP0AtP1P2=\  - the start of a structure {0} at [{1}-{2}] 
 theValueP0IsNotAssociatedWithTheCategoryP1AssociateIt=The {0} value is not associated with the category {1}. Associate it?   
+UpdateCorpusAfterWritingTheAnnotations=Update corpus after writing the annotations (warning the annotations won't be visible but saved in the XML-TXM files)
+UpdateEdition=Update editions
+UpdateOptions=Update options
+UpdatingCorpus=Updating corpus
+UpdatingCorpusEditionsAndIndexes=Updating corpus editions and indexes
 updatingTheP0Corpus=Updating the {0} corpus...
 valueEquals=value\=
 withTheCategory=with the category
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/Messages.java	(revision 0)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/Messages.java	(revision 3818)
@@ -0,0 +1,85 @@
+package org.txm.annotation.kr.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+public class Messages extends NLS {
+	private static final String BUNDLE_NAME = Messages.class.getPackageName() + ".messages"; //$NON-NLS-1$
+	public static String BeforeSavingAnnotations;
+	public static String CQPIndexesNotUpdatedOnlyTheXMLTXMFilesHaveBeenUpdated;
+	public static String executionCanceled;
+	public static String FailToUpdateTheCorpusAborting;
+	public static String FixXMLTXMFilesAndCallCommandUpdateCorpus;
+	public static String NoCQPAnnotationsFoundToSaveInTheCorporaP0;
+	public static String SaveAnnotationsAndUpdateTheCorpus;
+	public static String SaveP0Annotations;
+	public static String UpdateCorpusAfterWritingTheAnnotations;
+	public static String UpdateEdition;
+	public static String UpdateOptions;
+	public static String UpdatingCorpus;
+	public static String UpdatingCorpusEditionsAndIndexes;
+	public static String ErrorWhileReadingTheP0KRValuesForTheP1Type;
+	
+	public static String availableValuesForP0; 
+	
+	public static String newValueP0ForCategoryP1; 
+	public static String theValueP0IsNotAssociatedWithTheCategoryP1AssociateIt; 
+	public static String addANewCategory; 
+	public static String proceedToAnnotation; 
+	public static String category; 
+	public static String keywordsAnnotation; 
+	public static String affect; 
+	public static String delete; 
+	public static String enterAValueForAnId; 
+	public static String selectedLines; 
+	public static String annotatingConcordanceSelection; 
+	public static String errorWhileAnnotatingConcordanceSelectionColonP0; 
+	public static String allLines; 
+	public static String errorWhileAnnotatingConcordanceColonP0; 
+	public static String errorWhileDeletingAnnotationColonP0; 
+	public static String lookingForTypedValueWithIdEqualsP0; 
+	public static String noValueFoundWithTheP0Id; 
+	public static String AffectP0ToSelectionEqualsP1;
+	public static String Annotation; 
+	public static String couldNotAnnotateTheValueP0OnCertainSequences; 
+	public static String theSequenceP0IsOverlappingWith; 
+	public static String theEndOfAStructureP0AtP1P2; 
+	public static String theStartOfAStructureP0AtP1P2; 
+	public static String aboutAnnotations; 
+	public static String errorWhileAffectionAnnotationColonP0; 
+	public static String saveTheAnnotations; 
+	public static String openTheListOfCategories; 
+	public static String selectAValueAmongTheList; 
+	public static String valueEquals; 
+	public static String pleaseEnterTheNewTypeName; 
+	public static String newCategory; 
+	public static String withTheCategory; 
+	public static String oK; 
+	public static String confirmAnnotationAffectation; 
+	public static String youAreAboutToAnnotateP0ElementsContinue; 
+	public static String listOfCategories; 
+	public static String squencesDeMotsCatgorievaleur; 
+	public static String closeTheToolbarWithoutSaving; 
+	public static String annotationCanceledByUser; 
+	public static String availableAnnotationTypesColonP0; 
+	public static String errorColonNoSuitableKnowledgeRepositoryFound; 
+	public static String concordanceAnnotationArea; 
+	public static String squencesDeMotsCatgorie; 
+	public static String motsPropritsInfDfaut; 
+	public static String all;
+	public static String KnowledgeRepositoryName; 
+	public static String nouvelleProprit; 
+	public static String nomDeLaPropritPatternEqualsazaz09Plus;
+	public static String PreserveAnnotationBetweenTXMSessions; 
+	public static String property;
+
+	public static String updatingTheP0Corpus; 
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+	}
+
+	private Messages() {
+	}
+}

Property changes on: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/Messages.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/editors/imports/sections/AnnotationSection.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/editors/imports/sections/AnnotationSection.java	(revision 3817)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/editors/imports/sections/AnnotationSection.java	(revision 3818)
@@ -13,6 +13,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.annotation.kr.core.KRAnnotationEngine;
+import org.txm.annotation.kr.rcp.messages.Messages;
 import org.txm.objects.Project;
 import org.txm.rcp.editors.imports.ImportFormEditor;
 import org.txm.rcp.editors.imports.sections.ImportEditorSection;
@@ -21,14 +22,14 @@
 	
 	private static final int SECTION_SIZE = 1;
 	
-	public static final String DEFAULTNAMESUFFIX = "KR";
+	public static final String DEFAULTNAMESUFFIX = "KR"; //$NON-NLS-1$
 	
 	Text nameText;
 	
 	public AnnotationSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(editor, toolkit2, form2, parent, style, "annotation");
+		super(editor, toolkit2, form2, parent, style, "annotation"); //$NON-NLS-1$
 		
-		this.section.setText("Annotation");
+		this.section.setText(Messages.Annotation);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		this.section.setLayout(layout);
@@ -51,7 +52,7 @@
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
 		
-		Label l = toolkit.createLabel(sectionClient, "Knowledge repository name", SWT.WRAP);
+		Label l = toolkit.createLabel(sectionClient, Messages.KnowledgeRepositoryName, SWT.WRAP);
 		l.setLayoutData(new TableWrapData(TableWrapData.LEFT, TableWrapData.MIDDLE));
 		
 		nameText = new Text(sectionClient, SWT.BORDER);
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/WordAnnotationToolbar.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/WordAnnotationToolbar.java	(revision 3817)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/WordAnnotationToolbar.java	(revision 3818)
@@ -47,7 +47,7 @@
 import org.txm.annotation.kr.rcp.commands.InitializeKnowledgeRepository;
 import org.txm.annotation.kr.rcp.commands.SaveAnnotations;
 import org.txm.annotation.kr.rcp.concordance.ConcordanceAnnotations;
-import org.txm.annotation.kr.rcp.messages.KRAnnotationUIMessages;
+import org.txm.annotation.kr.rcp.messages.Messages;
 import org.txm.annotation.kr.rcp.views.knowledgerepositories.KRView;
 import org.txm.annotation.rcp.editor.AnnotationArea;
 import org.txm.annotation.rcp.editor.AnnotationExtension;
@@ -129,7 +129,7 @@
 	
 	@Override
 	public String getName() {
-		return KRAnnotationUIMessages.motsPropritsInfDfaut;
+		return Messages.motsPropritsInfDfaut;
 	}
 	
 	@Override
@@ -190,8 +190,8 @@
 				if (matches.size() > NALERTAFFECTANNOTATIONS) {
 					ConfirmDialog dialog = new ConfirmDialog(Display.getCurrent().getActiveShell(),
 							"confirm_annotate",  //$NON-NLS-1$
-							KRAnnotationUIMessages.confirmAnnotationAffectation,
-							NLS.bind(KRAnnotationUIMessages.youAreAboutToAnnotateP0ElementsContinue, matches.size()));
+							Messages.confirmAnnotationAffectation,
+							NLS.bind(Messages.youAreAboutToAnnotateP0ElementsContinue, matches.size()));
 					
 					if (dialog.open() == ConfirmDialog.CANCEL) {
 						Log.info("Annotation aborted by user.");
@@ -202,7 +202,7 @@
 		});
 		
 		// get value from combo text value
-		Log.fine(NLS.bind(KRAnnotationUIMessages.lookingForTypedValueWithIdEqualsP0, svalue));
+		Log.fine(NLS.bind(Messages.lookingForTypedValueWithIdEqualsP0, svalue));
 		final KnowledgeRepository kr = KnowledgeRepositoryManager.getKnowledgeRepository(type.getKnowledgeRepository());
 		value_to_add = kr.getValue(type, svalue);
 		
@@ -216,7 +216,7 @@
 				
 				@Override
 				public void run() {
-					String mess = KRAnnotationUIMessages.bind(KRAnnotationUIMessages.noValueFoundWithTheP0Id, svalue);
+					String mess = Messages.bind(Messages.noValueFoundWithTheP0Id, svalue);
 					Log.warning(mess);
 					MessageDialog.openError(Display.getCurrent().getActiveShell(), "Annotation canceled", mess);
 				}
@@ -224,7 +224,7 @@
 			return;
 		}
 		
-		Log.info(TXMCoreMessages.bind(KRAnnotationUIMessages.AffectP0ToSelectionEqualsP1, value_to_add.getId(), value_to_add.getTypeID(), matches.size()));
+		Log.info(TXMCoreMessages.bind(Messages.AffectP0ToSelectionEqualsP1, value_to_add.getId(), value_to_add.getTypeID(), matches.size()));
 		
 		// finally we can 'try' to create the annotations \o/
 		try {
@@ -232,16 +232,16 @@
 			
 			// did we had problems ?
 			if (existingAnnots != null && existingAnnots.size() > 0) {
-				String message = NLS.bind(KRAnnotationUIMessages.couldNotAnnotateTheValueP0OnCertainSequences, value_to_add.getStandardName());
+				String message = NLS.bind(Messages.couldNotAnnotateTheValueP0OnCertainSequences, value_to_add.getStandardName());
 				for (Match m : existingAnnots.keySet()) {
-					message += NLS.bind(KRAnnotationUIMessages.theSequenceP0IsOverlappingWith, m);
+					message += NLS.bind(Messages.theSequenceP0IsOverlappingWith, m);
 					
 					for (Annotation existingAnnot : existingAnnots.get(m)) {
 						if (existingAnnot.getStart() < m.getStart()) {
-							message += TXMCoreMessages.bind(KRAnnotationUIMessages.theEndOfAStructureP0AtP1P2, existingAnnot.getType(), existingAnnot.getStart(), existingAnnot.getEnd());
+							message += TXMCoreMessages.bind(Messages.theEndOfAStructureP0AtP1P2, existingAnnot.getType(), existingAnnot.getStart(), existingAnnot.getEnd());
 						}
 						else {
-							message += TXMCoreMessages.bind(KRAnnotationUIMessages.theStartOfAStructureP0AtP1P2, existingAnnot.getType(), existingAnnot.getStart(), existingAnnot.getEnd());
+							message += TXMCoreMessages.bind(Messages.theStartOfAStructureP0AtP1P2, existingAnnot.getType(), existingAnnot.getStart(), existingAnnot.getEnd());
 						}
 					}
 				}
@@ -250,7 +250,7 @@
 					
 					@Override
 					public void run() {
-						MessageDialog.openInformation(editor.getSite().getShell(), KRAnnotationUIMessages.aboutAnnotations, final_message);
+						MessageDialog.openInformation(editor.getSite().getShell(), Messages.aboutAnnotations, final_message);
 					}
 				});
 			}
@@ -263,7 +263,7 @@
 			// concordance.reloadCurrentLines();
 		}
 		catch (Exception e1) {
-			Log.warning(NLS.bind(KRAnnotationUIMessages.errorWhileAffectionAnnotationColonP0, e1));
+			Log.warning(NLS.bind(Messages.errorWhileAffectionAnnotationColonP0, e1));
 			Log.printStackTrace(e1);
 			return;
 		}
@@ -303,7 +303,7 @@
 	protected void deleteAnnotationValues(final List<Match> matches) {
 		final AnnotationType type = getSelectedAnnotationType();
 		
-		JobHandler job = new JobHandler(KRAnnotationUIMessages.annotatingConcordanceSelection, true) {
+		JobHandler job = new JobHandler(Messages.annotatingConcordanceSelection, true) {
 			
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
@@ -312,12 +312,12 @@
 					deleteAnnotationValues(matches, type, this);
 				}
 				catch (Exception e) {
-					Log.severe(NLS.bind(KRAnnotationUIMessages.errorWhileAnnotatingConcordanceSelectionColonP0, e));
+					Log.severe(NLS.bind(Messages.errorWhileAnnotatingConcordanceSelectionColonP0, e));
 					Log.printStackTrace(e);
 					return Status.CANCEL_STATUS;
 				}
 				catch (ThreadDeath td) {
-					Log.info(KRAnnotationUIMessages.annotationCanceledByUser);
+					Log.info(Messages.annotationCanceledByUser);
 					return Status.CANCEL_STATUS;
 				}
 				
@@ -348,7 +348,7 @@
 			}
 		}
 		catch (Exception e1) {
-			Log.warning(NLS.bind(KRAnnotationUIMessages.errorWhileDeletingAnnotationColonP0, e1));
+			Log.warning(NLS.bind(Messages.errorWhileDeletingAnnotationColonP0, e1));
 			Log.printStackTrace(e1);
 			return;
 		}
@@ -371,7 +371,7 @@
 		final AnnotationType type = getSelectedAnnotationType();
 		final String svalue = annotationValuesText.getText();
 		
-		JobHandler job = new JobHandler(KRAnnotationUIMessages.annotatingConcordanceSelection, true) {
+		JobHandler job = new JobHandler(Messages.annotatingConcordanceSelection, true) {
 			
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
@@ -380,12 +380,12 @@
 					affectAnnotationValues(matches, type, svalue, this);
 				}
 				catch (Exception e) {
-					Log.severe(NLS.bind(KRAnnotationUIMessages.errorWhileAnnotatingConcordanceSelectionColonP0, e));
+					Log.severe(NLS.bind(Messages.errorWhileAnnotatingConcordanceSelectionColonP0, e));
 					Log.printStackTrace(e);
 					return Status.CANCEL_STATUS;
 				}
 				catch (ThreadDeath td) {
-					Log.info(KRAnnotationUIMessages.annotationCanceledByUser);
+					Log.info(Messages.annotationCanceledByUser);
 					return Status.CANCEL_STATUS;
 				}
 				
@@ -448,9 +448,9 @@
 			}
 		}
 		
-		Log.fine(NLS.bind(KRAnnotationUIMessages.availableAnnotationTypesColonP0, typesList));
+		Log.fine(NLS.bind(Messages.availableAnnotationTypesColonP0, typesList));
 		
-		annotationArea = new GLComposite(parent, SWT.NONE, KRAnnotationUIMessages.concordanceAnnotationArea);
+		annotationArea = new GLComposite(parent, SWT.NONE, Messages.concordanceAnnotationArea);
 		annotationArea.getLayout().numColumns = 12;
 		annotationArea.getLayout().horizontalSpacing = 2;
 		annotationArea.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false));
@@ -523,7 +523,7 @@
 		});
 		
 		addAnnotationTypeLink = new Button(annotationArea, SWT.PUSH);
-		addAnnotationTypeLink.setToolTipText(KRAnnotationUIMessages.addANewCategory);
+		addAnnotationTypeLink.setToolTipText(Messages.addANewCategory);
 		addAnnotationTypeLink.setImage(IImageKeys.getImage(IImageKeys.ACTION_ADD));
 		addAnnotationTypeLink.setEnabled(true);
 		addAnnotationTypeLink.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
@@ -593,7 +593,7 @@
 		equalLabel.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		
 		annotationValuesText = new Text(annotationArea, SWT.BORDER);
-		annotationValuesText.setToolTipText(KRAnnotationUIMessages.enterAValueForAnId);
+		annotationValuesText.setToolTipText(Messages.enterAValueForAnId);
 		GridData gdata2 = new GridData(SWT.FILL, SWT.CENTER, false, false);
 		gdata2.widthHint = 200;
 		annotationValuesText.setLayoutData(gdata2);
@@ -612,7 +612,7 @@
 		
 		addTypedValueLink = new Button(annotationArea, SWT.PUSH);
 		addTypedValueLink.setText("..."); //$NON-NLS-1$
-		addTypedValueLink.setToolTipText(KRAnnotationUIMessages.selectAValueAmongTheList);
+		addTypedValueLink.setToolTipText(Messages.selectAValueAmongTheList);
 		addTypedValueLink.setEnabled(true);
 		addTypedValueLink.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		addTypedValueLink.addSelectionListener(new SelectionListener() {
@@ -629,7 +629,7 @@
 				
 				ListDialog dialog = new ListDialog(e.widget.getDisplay().getActiveShell());
 				String title = currentKnowledgeRepository.getString(editor.getCorpus().getLang(), "ConcordancesEditor_100"); //$NON-NLS-1$
-				if (title == null) title = KRAnnotationUIMessages.availableValuesForP0;
+				if (title == null) title = Messages.availableValuesForP0;
 				dialog.setTitle(ConcordanceUIMessages.bind(title, type.getName()));// +"valeurs de "+type.getName());
 				dialog.setContentProvider(new ArrayContentProvider());
 				dialog.setLabelProvider(new SimpleLabelProvider() {
@@ -670,8 +670,8 @@
 		new Label(annotationArea, SWT.NONE).setText(" ");
 		
 		affectAnnotationButton = new Button(annotationArea, SWT.PUSH);
-		affectAnnotationButton.setText(KRAnnotationUIMessages.oK);
-		affectAnnotationButton.setToolTipText(KRAnnotationUIMessages.proceedToAnnotation);
+		affectAnnotationButton.setText(Messages.oK);
+		affectAnnotationButton.setToolTipText(Messages.proceedToAnnotation);
 		affectAnnotationButton.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		affectAnnotationButton.addSelectionListener(new SelectionListener() {
 			
@@ -685,8 +685,8 @@
 		});
 		
 		deleteAnnotationButton = new Button(annotationArea, SWT.PUSH);
-		deleteAnnotationButton.setText(KRAnnotationUIMessages.delete);
-		deleteAnnotationButton.setToolTipText(KRAnnotationUIMessages.delete);
+		deleteAnnotationButton.setText(Messages.delete);
+		deleteAnnotationButton.setToolTipText(Messages.delete);
 		deleteAnnotationButton.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		deleteAnnotationButton.addSelectionListener(new SelectionListener() {
 			
@@ -700,7 +700,7 @@
 		});
 		
 		Button closeButton = new Button(annotationArea, SWT.PUSH);
-		closeButton.setToolTipText(KRAnnotationUIMessages.closeTheToolbarWithoutSaving);
+		closeButton.setToolTipText(Messages.closeTheToolbarWithoutSaving);
 		closeButton.setImage(IImageKeys.getImage(IImageKeys.ACTION_DELETE));
 		
 		closeButton.addSelectionListener(new SelectionListener() {
@@ -757,7 +757,7 @@
 		
 		LocalKnowledgeRepository kr = (LocalKnowledgeRepository) currentKnowledgeRepository;
 		if (typeName == null) typeName = ""; //$NON-NLS-1$
-		InputDialog dialog = new InputDialog(e.widget.getDisplay().getActiveShell(), KRAnnotationUIMessages.nouvelleProprit, KRAnnotationUIMessages.nomDeLaPropritPatternEqualsazaz09Plus, typeName,
+		InputDialog dialog = new InputDialog(e.widget.getDisplay().getActiveShell(), Messages.nouvelleProprit, Messages.nomDeLaPropritPatternEqualsazaz09Plus, typeName,
 				null);
 		if (dialog.open() == InputDialog.OK) {
 			String name = dialog.getValue();
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/views/knowledgerepositories/KRView.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/views/knowledgerepositories/KRView.java	(revision 3817)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/views/knowledgerepositories/KRView.java	(revision 3818)
@@ -81,6 +81,7 @@
 import org.txm.annotation.kr.rcp.commands.krview.Copy;
 import org.txm.annotation.kr.rcp.commands.krview.Informations;
 import org.txm.annotation.kr.rcp.commands.krview.Reload;
+import org.txm.annotation.kr.rcp.messages.Messages;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -158,7 +159,7 @@
 		Button refresh = new Button(parent, SWT.PUSH);
 		refresh.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true,
 				false));
-		refresh.setText("⟲");
+		refresh.setText("⟲"); //$NON-NLS-1$
 		refresh.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent arg0) {
@@ -213,7 +214,7 @@
 		getSite().setSelectionProvider(tv);
 		
 		IContextService contextService = (IContextService)getSite().getService(IContextService.class);
-		contextService.activateContext("org.txm.rcp.annotation.krview");
+		contextService.activateContext("org.txm.rcp.annotation.krview"); //$NON-NLS-1$
 	}
 
 	/* (non-Javadoc)
@@ -277,7 +278,7 @@
 					try {
 						return krl.getValues(t).toArray();
 					} catch (Exception e) {
-						Log.warning(NLS.bind("Error while reading the {0} KR values for the {1} type.", kr, t));
+						Log.warning(NLS.bind(Messages.ErrorWhileReadingTheP0KRValuesForTheP1Type, kr, t));
 						Log.printStackTrace(e);
 					}
 				}
@@ -321,7 +322,7 @@
 					try {
 						return krl.hasValues(t);
 					} catch (Exception e) {
-						Log.warning(NLS.bind("Error while reading the {0} KR values for the {1} type.", kr, t));
+						Log.warning(NLS.bind(Messages.ErrorWhileReadingTheP0KRValuesForTheP1Type, kr, t));
 						Log.printStackTrace(e);
 					}
 				}
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java	(revision 3817)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java	(revision 3818)
@@ -45,7 +45,7 @@
 import org.txm.annotation.kr.core.repository.TypedValue;
 import org.txm.annotation.kr.rcp.commands.InitializeKnowledgeRepository;
 import org.txm.annotation.kr.rcp.commands.SaveAnnotations;
-import org.txm.annotation.kr.rcp.messages.KRAnnotationUIMessages;
+import org.txm.annotation.kr.rcp.messages.Messages;
 import org.txm.annotation.kr.rcp.views.knowledgerepositories.KRView;
 import org.txm.annotation.rcp.editor.AnnotationArea;
 import org.txm.annotation.rcp.editor.AnnotationExtension;
@@ -129,7 +129,7 @@
 	
 	@Override
 	public String getName() {
-		return KRAnnotationUIMessages.squencesDeMotsCatgorie;
+		return Messages.squencesDeMotsCatgorie;
 	}
 	
 	@Override
@@ -153,8 +153,8 @@
 		
 		this.annotationColumnViewer = new TableViewerColumn(viewer, SWT.CENTER, position);
 		annotationColumn = annotationColumnViewer.getColumn();
-		annotationColumn.setText(KRAnnotationUIMessages.category);
-		annotationColumn.setToolTipText(KRAnnotationUIMessages.keywordsAnnotation);
+		annotationColumn.setText(Messages.category);
+		annotationColumn.setToolTipText(Messages.keywordsAnnotation);
 		annotationColumn.pack();
 		annotationColumn.setAlignment(SWT.CENTER);
 		
@@ -215,18 +215,18 @@
 		}
 		annotations.setViewAnnotation(tagAnnotationType);
 		
-		Log.fine(NLS.bind(KRAnnotationUIMessages.availableAnnotationTypesColonP0, typesList));
+		Log.fine(NLS.bind(Messages.availableAnnotationTypesColonP0, typesList));
 		
-		annotationArea = new GLComposite(parent, SWT.NONE, KRAnnotationUIMessages.concordanceAnnotationArea);
+		annotationArea = new GLComposite(parent, SWT.NONE, Messages.concordanceAnnotationArea);
 		annotationArea.getLayout().numColumns = 12;
 		annotationArea.getLayout().horizontalSpacing = 2;
 		annotationArea.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false));
 		
 		addRemoveCombo = new Combo(annotationArea, SWT.READ_ONLY);
 		String affectLabel = currentKnowledgeRepository.getString(getLocale(), "ConcordancesEditor_22"); //$NON-NLS-1$
-		if (affectLabel == null) affectLabel = KRAnnotationUIMessages.affect;
+		if (affectLabel == null) affectLabel = Messages.affect;
 		String removeLabel = currentKnowledgeRepository.getString(getLocale(), "ConcordancesEditor_24"); //$NON-NLS-1$
-		if (removeLabel == null) removeLabel = KRAnnotationUIMessages.delete;
+		if (removeLabel == null) removeLabel = Messages.delete;
 		String items[] = { affectLabel, removeLabel };
 		addRemoveCombo.setItems(items);
 		addRemoveCombo.select(0);
@@ -237,7 +237,7 @@
 				if (addRemoveCombo.getSelectionIndex() == 0) { // add
 					annotationValuesText.setEnabled(true);
 					String withLabelText = currentKnowledgeRepository.getString(getLocale(), "ConcordancesEditor_83"); //$NON-NLS-1$
-					if (withLabelText == null) withLabelText = KRAnnotationUIMessages.withTheCategory;
+					if (withLabelText == null) withLabelText = Messages.withTheCategory;
 					withLabel.setText(withLabelText);
 				}
 				else { // remove
@@ -258,12 +258,12 @@
 		
 		withLabel = new Label(annotationArea, SWT.NONE);
 		String withLabelText = currentKnowledgeRepository.getString(getLocale(), "ConcordancesEditor_83"); //$NON-NLS-1$
-		if (withLabelText == null) withLabelText = KRAnnotationUIMessages.withTheCategory;
+		if (withLabelText == null) withLabelText = Messages.withTheCategory;
 		withLabel.setText(withLabelText);
 		withLabel.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		
 		annotationValuesText = new Text(annotationArea, SWT.BORDER);
-		annotationValuesText.setToolTipText(KRAnnotationUIMessages.enterAValueForAnId);
+		annotationValuesText.setToolTipText(Messages.enterAValueForAnId);
 		GridData gdata2 = new GridData(SWT.FILL, SWT.CENTER, false, false);
 		gdata2.widthHint = 200;
 		annotationValuesText.setLayoutData(gdata2);
@@ -283,7 +283,7 @@
 		if (currentKnowledgeRepository instanceof LocalKnowledgeRepository) {
 			addTypedValueLink = new Button(annotationArea, SWT.PUSH);
 			addTypedValueLink.setText("..."); //$NON-NLS-1$
-			addTypedValueLink.setToolTipText(KRAnnotationUIMessages.openTheListOfCategories);
+			addTypedValueLink.setToolTipText(Messages.openTheListOfCategories);
 			addTypedValueLink.setEnabled(true);
 			addTypedValueLink.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 			addTypedValueLink.addSelectionListener(new SelectionListener() {
@@ -299,7 +299,7 @@
 					LocalKnowledgeRepository kr = (LocalKnowledgeRepository) currentKnowledgeRepository;
 					
 					ListDialog dialog = new ListDialog(e.widget.getDisplay().getActiveShell());
-					dialog.setTitle(KRAnnotationUIMessages.listOfCategories);// +"valeurs de "+type.getName());
+					dialog.setTitle(Messages.listOfCategories);// +"valeurs de "+type.getName());
 					dialog.setContentProvider(new ArrayContentProvider());
 					dialog.setLabelProvider(new SimpleLabelProvider() {
 						
@@ -338,7 +338,7 @@
 		
 		affectCombo = new Combo(annotationArea, SWT.READ_ONLY);
 		affectCombo.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
-		String items2[] = { KRAnnotationUIMessages.selectedLines, KRAnnotationUIMessages.allLines };
+		String items2[] = { Messages.selectedLines, Messages.allLines };
 		affectCombo.setItems(items2);
 		affectCombo.select(0);
 		gdata = new GridData(SWT.CENTER, SWT.CENTER, false, false);
@@ -346,8 +346,8 @@
 		affectCombo.setLayoutData(gdata);
 		
 		affectAnnotationButton = new Button(annotationArea, SWT.PUSH);
-		affectAnnotationButton.setText(KRAnnotationUIMessages.oK);
-		affectAnnotationButton.setToolTipText(KRAnnotationUIMessages.proceedToAnnotation);
+		affectAnnotationButton.setText(Messages.oK);
+		affectAnnotationButton.setToolTipText(Messages.proceedToAnnotation);
 		affectAnnotationButton.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		affectAnnotationButton.addSelectionListener(new SelectionListener() {
 			
@@ -363,7 +363,7 @@
 						affectMatchesToSelection(matches);
 					}
 					catch (Exception e1) {
-						Log.severe(NLS.bind(KRAnnotationUIMessages.errorWhileAnnotatingConcordanceColonP0, e1.getLocalizedMessage()));
+						Log.severe(NLS.bind(Messages.errorWhileAnnotatingConcordanceColonP0, e1.getLocalizedMessage()));
 						Log.printStackTrace(e1);
 						return;
 					}
@@ -375,7 +375,7 @@
 		});
 		
 		Button closeButton = new Button(annotationArea, SWT.PUSH);
-		closeButton.setToolTipText(KRAnnotationUIMessages.closeTheToolbarWithoutSaving);
+		closeButton.setToolTipText(Messages.closeTheToolbarWithoutSaving);
 		closeButton.setImage(IImageKeys.getImage(IImageKeys.ACTION_DELETE));
 		closeButton.setLayoutData(new GridData(GridData.END, GridData.CENTER, true, false));
 		closeButton.addSelectionListener(new SelectionListener() {
@@ -426,7 +426,7 @@
 		final String svalue = annotationValuesText.getText();
 		final boolean doAffect = addRemoveCombo.getSelectionIndex() == 0; // add is default
 		
-		JobHandler job = new JobHandler(KRAnnotationUIMessages.annotatingConcordanceSelection, true) {
+		JobHandler job = new JobHandler(Messages.annotatingConcordanceSelection, true) {
 			
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
@@ -440,12 +440,12 @@
 					}
 				}
 				catch (Exception e) {
-					Log.severe(NLS.bind(KRAnnotationUIMessages.errorWhileAnnotatingConcordanceSelectionColonP0, e));
+					Log.severe(NLS.bind(Messages.errorWhileAnnotatingConcordanceSelectionColonP0, e));
 					Log.printStackTrace(e);
 					return Status.CANCEL_STATUS;
 				}
 				catch (ThreadDeath td) {
-					Log.info(KRAnnotationUIMessages.annotationCanceledByUser);
+					Log.info(Messages.annotationCanceledByUser);
 					return Status.CANCEL_STATUS;
 				}
 				
@@ -518,7 +518,7 @@
 			}
 		}
 		catch (Exception e1) {
-			Log.warning(NLS.bind(KRAnnotationUIMessages.errorWhileDeletingAnnotationColonP0, e1));
+			Log.warning(NLS.bind(Messages.errorWhileDeletingAnnotationColonP0, e1));
 			Log.printStackTrace(e1);
 			return;
 		}
@@ -554,8 +554,8 @@
 				if (matches.size() > NALERTAFFECTANNOTATIONS) {
 					ConfirmDialog dialog = new ConfirmDialog(Display.getCurrent().getActiveShell(),
 							"confirm_annotate",  //$NON-NLS-1$
-							KRAnnotationUIMessages.confirmAnnotationAffectation,
-							NLS.bind(KRAnnotationUIMessages.youAreAboutToAnnotateP0ElementsContinue, matches.size()));
+							Messages.confirmAnnotationAffectation,
+							NLS.bind(Messages.youAreAboutToAnnotateP0ElementsContinue, matches.size()));
 					
 					if (dialog.open() == ConfirmDialog.CANCEL) {
 						Log.info("Annotation aborted by user.");
@@ -566,7 +566,7 @@
 		});
 		
 		// get value from combo text value
-		Log.fine(NLS.bind(KRAnnotationUIMessages.lookingForTypedValueWithIdEqualsP0, svalue));
+		Log.fine(NLS.bind(Messages.lookingForTypedValueWithIdEqualsP0, svalue));
 		final KnowledgeRepository kr = KnowledgeRepositoryManager.getKnowledgeRepository(type.getKnowledgeRepository());
 		value_to_add = kr.getValue(type, svalue);
 		
@@ -578,8 +578,8 @@
 				public void run() {
 					String title = kr.getString(getLocale(), "ConcordancesEditor_110"); //$NON-NLS-1$
 					String content = kr.getString(getLocale(), "ConcordancesEditor_112"); //$NON-NLS-1$
-					if (title == null) title = KRAnnotationUIMessages.newValueP0ForCategoryP1;
-					if (content == null) content = KRAnnotationUIMessages.theValueP0IsNotAssociatedWithTheCategoryP1AssociateIt;
+					if (title == null) title = Messages.newValueP0ForCategoryP1;
+					if (content == null) content = Messages.theValueP0IsNotAssociatedWithTheCategoryP1AssociateIt;
 					ConfirmDialog dialog = new ConfirmDialog(Display.getCurrent().getActiveShell(),
 							"create_value", //$NON-NLS-1$
 							ConcordanceUIMessages.bind(title, svalue, type.getName()),
@@ -605,7 +605,7 @@
 				
 				@Override
 				public void run() {
-					String mess = ConcordanceUIMessages.bind(KRAnnotationUIMessages.noValueFoundWithTheP0Id, svalue);
+					String mess = ConcordanceUIMessages.bind(Messages.noValueFoundWithTheP0Id, svalue);
 					Log.warning(mess);
 					MessageDialog.openError(Display.getCurrent().getActiveShell(), "Annotation canceled", mess);
 				}
@@ -613,7 +613,7 @@
 			return;
 		}
 		
-		Log.info(TXMCoreMessages.bind(KRAnnotationUIMessages.AffectP0ToSelectionEqualsP1, value_to_add.getId(), value_to_add.getTypeID(), matches.size()));
+		Log.info(TXMCoreMessages.bind(Messages.AffectP0ToSelectionEqualsP1, value_to_add.getId(), value_to_add.getTypeID(), matches.size()));
 		
 		// finally we can 'try' to create the annotations \o/
 		try {
@@ -621,16 +621,16 @@
 			
 			// did we had problems ?
 			if (existingAnnots != null && existingAnnots.size() > 0) {
-				String message = NLS.bind(KRAnnotationUIMessages.couldNotAnnotateTheValueP0OnCertainSequences, value_to_add.getStandardName());
+				String message = NLS.bind(Messages.couldNotAnnotateTheValueP0OnCertainSequences, value_to_add.getStandardName());
 				for (Match m : existingAnnots.keySet()) {
-					message += NLS.bind(KRAnnotationUIMessages.theSequenceP0IsOverlappingWith, m);
+					message += NLS.bind(Messages.theSequenceP0IsOverlappingWith, m);
 					
 					for (Annotation existingAnnot : existingAnnots.get(m)) {
 						if (existingAnnot.getStart() < m.getStart()) {
-							message += TXMCoreMessages.bind(KRAnnotationUIMessages.theEndOfAStructureP0AtP1P2, existingAnnot.getType(), existingAnnot.getStart(), existingAnnot.getEnd());
+							message += TXMCoreMessages.bind(Messages.theEndOfAStructureP0AtP1P2, existingAnnot.getType(), existingAnnot.getStart(), existingAnnot.getEnd());
 						}
 						else {
-							message += TXMCoreMessages.bind(KRAnnotationUIMessages.theStartOfAStructureP0AtP1P2, existingAnnot.getType(), existingAnnot.getStart(), existingAnnot.getEnd());
+							message += TXMCoreMessages.bind(Messages.theStartOfAStructureP0AtP1P2, existingAnnot.getType(), existingAnnot.getStart(), existingAnnot.getEnd());
 						}
 					}
 				}
@@ -639,7 +639,7 @@
 					
 					@Override
 					public void run() {
-						MessageDialog.openInformation(editor.getSite().getShell(), KRAnnotationUIMessages.aboutAnnotations, final_message);
+						MessageDialog.openInformation(editor.getSite().getShell(), Messages.aboutAnnotations, final_message);
 					}
 				});
 			}
@@ -649,7 +649,7 @@
 			}
 		}
 		catch (Exception e1) {
-			Log.warning(NLS.bind(KRAnnotationUIMessages.errorWhileAffectionAnnotationColonP0, e1));
+			Log.warning(NLS.bind(Messages.errorWhileAffectionAnnotationColonP0, e1));
 			Log.printStackTrace(e1);
 			return;
 		}
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/KRAnnotation.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/KRAnnotation.java	(revision 3817)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/KRAnnotation.java	(revision 3818)
@@ -54,7 +54,7 @@
 import org.txm.annotation.kr.rcp.commands.InitializeKnowledgeRepository;
 import org.txm.annotation.kr.rcp.commands.SaveAnnotations;
 import org.txm.annotation.kr.rcp.commands.krview.OpenKRView;
-import org.txm.annotation.kr.rcp.messages.KRAnnotationUIMessages;
+import org.txm.annotation.kr.rcp.messages.Messages;
 import org.txm.annotation.kr.rcp.views.knowledgerepositories.KRView;
 import org.txm.annotation.rcp.editor.AnnotationArea;
 import org.txm.annotation.rcp.editor.AnnotationExtension;
@@ -141,7 +141,7 @@
 	
 	@Override
 	public String getName() {
-		return KRAnnotationUIMessages.squencesDeMotsCatgorievaleur;
+		return Messages.squencesDeMotsCatgorievaleur;
 	}
 	
 	@Override
@@ -165,8 +165,8 @@
 		
 		this.annotationColumnViewer = new TableViewerColumn(viewer, SWT.CENTER, position);
 		annotationColumn = annotationColumnViewer.getColumn();
-		annotationColumn.setText(KRAnnotationUIMessages.category);
-		annotationColumn.setToolTipText(KRAnnotationUIMessages.keywordsAnnotation);
+		annotationColumn.setText(Messages.category);
+		annotationColumn.setToolTipText(Messages.keywordsAnnotation);
 		annotationColumn.setAlignment(SWT.CENTER);
 		annotationColumn.pack();
 		annotationColumn.addControlListener(new ConcordanceColumnSizeControlListener(annotationColumn));
@@ -234,25 +234,25 @@
 				}
 			}
 			
-			Log.fine(NLS.bind(KRAnnotationUIMessages.availableAnnotationTypesColonP0, typesList));
+			Log.fine(NLS.bind(Messages.availableAnnotationTypesColonP0, typesList));
 			break;
 		}
 		
 		if (currentKnowledgeRepository == null) {
-			Log.warning(KRAnnotationUIMessages.errorColonNoSuitableKnowledgeRepositoryFound);
+			Log.warning(Messages.errorColonNoSuitableKnowledgeRepositoryFound);
 			return false;
 		}
 		
-		annotationArea = new GLComposite(parent, SWT.NONE, KRAnnotationUIMessages.concordanceAnnotationArea);
+		annotationArea = new GLComposite(parent, SWT.NONE, Messages.concordanceAnnotationArea);
 		annotationArea.getLayout().numColumns = 12;
 		annotationArea.getLayout().horizontalSpacing = 2;
 		annotationArea.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false));
 		
 		addRemoveCombo = new Combo(annotationArea, SWT.READ_ONLY);
 		String affectLabel = currentKnowledgeRepository.getString(editor.getLocale(), "ConcordancesEditor_22"); //$NON-NLS-1$
-		if (affectLabel == null) affectLabel = KRAnnotationUIMessages.affect;
+		if (affectLabel == null) affectLabel = Messages.affect;
 		String removeLabel = currentKnowledgeRepository.getString(editor.getLocale(), "ConcordancesEditor_24"); //$NON-NLS-1$
-		if (removeLabel == null) removeLabel = KRAnnotationUIMessages.delete;
+		if (removeLabel == null) removeLabel = Messages.delete;
 		String items[] = { affectLabel, removeLabel };
 		addRemoveCombo.setItems(items);
 		addRemoveCombo.select(0);
@@ -263,7 +263,7 @@
 				if (addRemoveCombo.getSelectionIndex() == 0) { // add
 					annotationValuesText.setEnabled(true);
 					String withLabelText = currentKnowledgeRepository.getString(editor.getLocale(), "ConcordancesEditor_83"); //$NON-NLS-1$
-					if (withLabelText == null) withLabelText = KRAnnotationUIMessages.withTheCategory;
+					if (withLabelText == null) withLabelText = Messages.withTheCategory;
 					withLabel.setText(withLabelText);
 					if (equalLabel != null) equalLabel.setText("="); //$NON-NLS-1$
 				}
@@ -286,7 +286,7 @@
 		
 		withLabel = new Label(annotationArea, SWT.NONE);
 		String withLabelText = currentKnowledgeRepository.getString(editor.getLocale(), "ConcordancesEditor_83"); //$NON-NLS-1$
-		if (withLabelText == null) withLabelText = KRAnnotationUIMessages.withTheCategory;
+		if (withLabelText == null) withLabelText = Messages.withTheCategory;
 		withLabel.setText(withLabelText);
 		withLabel.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		
@@ -392,7 +392,7 @@
 		
 		if (currentKnowledgeRepository instanceof LocalKnowledgeRepository) {
 			addAnnotationTypeLink = new Button(annotationArea, SWT.PUSH);
-			addAnnotationTypeLink.setToolTipText(KRAnnotationUIMessages.addANewCategory);
+			addAnnotationTypeLink.setToolTipText(Messages.addANewCategory);
 			addAnnotationTypeLink.setImage(IImageKeys.getImage(IImageKeys.ACTION_ADD));
 			addAnnotationTypeLink.setEnabled(true);
 			addAnnotationTypeLink.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
@@ -405,7 +405,7 @@
 					
 					LocalKnowledgeRepository kr = (LocalKnowledgeRepository) currentKnowledgeRepository;
 					
-					InputDialog dialog = new InputDialog(e.widget.getDisplay().getActiveShell(), KRAnnotationUIMessages.newCategory, KRAnnotationUIMessages.pleaseEnterTheNewTypeName, "", null); //$NON-NLS-1$
+					InputDialog dialog = new InputDialog(e.widget.getDisplay().getActiveShell(), Messages.newCategory, Messages.pleaseEnterTheNewTypeName, "", null); //$NON-NLS-1$
 					if (dialog.open() == InputDialog.OK) {
 						String name = dialog.getValue();
 						if (name.trim().length() == 0) return;
@@ -465,13 +465,13 @@
 		Label valueLabel = new Label(annotationArea, SWT.NONE);
 		String valueLabelText = currentKnowledgeRepository.getString(editor.getLocale(), "ConcordancesEditor_80"); //$NON-NLS-1$
 		if (valueLabelText == null) {
-			valueLabelText = KRAnnotationUIMessages.valueEquals;
+			valueLabelText = Messages.valueEquals;
 		}
 		valueLabel.setText(valueLabelText);
 		valueLabel.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		
 		annotationValuesText = new Text(annotationArea, SWT.BORDER);
-		annotationValuesText.setToolTipText(KRAnnotationUIMessages.enterAValueForAnId);
+		annotationValuesText.setToolTipText(Messages.enterAValueForAnId);
 		GridData gdata2 = new GridData(SWT.FILL, SWT.CENTER, false, false);
 		gdata2.widthHint = 200;
 		annotationValuesText.setLayoutData(gdata2);
@@ -492,7 +492,7 @@
 			
 			addTypedValueLink = new Button(annotationArea, SWT.PUSH);
 			addTypedValueLink.setText("..."); //$NON-NLS-1$
-			addTypedValueLink.setToolTipText(KRAnnotationUIMessages.selectAValueAmongTheList);
+			addTypedValueLink.setToolTipText(Messages.selectAValueAmongTheList);
 			addTypedValueLink.setEnabled(true);
 			addTypedValueLink.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 			addTypedValueLink.addSelectionListener(new SelectionListener() {
@@ -509,7 +509,7 @@
 					
 					ListDialog dialog = new ListDialog(e.widget.getDisplay().getActiveShell());
 					String title = currentKnowledgeRepository.getString(editor.getLocale(), "ConcordancesEditor_100"); //$NON-NLS-1$
-					if (title == null) title = KRAnnotationUIMessages.availableValuesForP0;
+					if (title == null) title = Messages.availableValuesForP0;
 					dialog.setTitle(ConcordanceUIMessages.bind(title, type.getName()));// +"valeurs de "+type.getName());
 					dialog.setContentProvider(new ArrayContentProvider());
 					dialog.setLabelProvider(new SimpleLabelProvider() {
@@ -549,7 +549,7 @@
 		
 		affectCombo = new Combo(annotationArea, SWT.READ_ONLY);
 		affectCombo.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
-		String items2[] = { KRAnnotationUIMessages.selectedLines, KRAnnotationUIMessages.allLines };
+		String items2[] = { Messages.selectedLines, Messages.allLines };
 		affectCombo.setItems(items2);
 		affectCombo.select(0);
 		gdata = new GridData(SWT.CENTER, SWT.CENTER, false, false);
@@ -557,8 +557,8 @@
 		affectCombo.setLayoutData(gdata);
 		
 		affectAnnotationButton = new Button(annotationArea, SWT.PUSH);
-		affectAnnotationButton.setText(KRAnnotationUIMessages.oK);
-		affectAnnotationButton.setToolTipText(KRAnnotationUIMessages.proceedToAnnotation);
+		affectAnnotationButton.setText(Messages.oK);
+		affectAnnotationButton.setToolTipText(Messages.proceedToAnnotation);
 		affectAnnotationButton.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		affectAnnotationButton.addSelectionListener(new SelectionListener() {
 			
@@ -574,7 +574,7 @@
 						affectMatchesToSelection(matches);
 					}
 					catch (Exception e1) {
-						Log.severe(NLS.bind(KRAnnotationUIMessages.errorWhileAnnotatingConcordanceColonP0, e1.getLocalizedMessage()));
+						Log.severe(NLS.bind(Messages.errorWhileAnnotatingConcordanceColonP0, e1.getLocalizedMessage()));
 						Log.printStackTrace(e1);
 						return;
 					}
@@ -585,7 +585,7 @@
 			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
 		// Button saveAnnotationButton = new Button(annotationArea, SWT.PUSH);
-		// saveAnnotationButton.setToolTipText(KRAnnotationUIMessages.saveTheAnnotations);
+		// saveAnnotationButton.setToolTipText(Messages.saveTheAnnotations);
 		// saveAnnotationButton.setImage(IImageKeys.getImage(IImageKeys.PENCIL_SAVE));
 		//
 		// saveAnnotationButton.addSelectionListener(new SelectionListener() {
@@ -615,7 +615,7 @@
 		// });
 		
 		Button closeButton = new Button(annotationArea, SWT.PUSH);
-		closeButton.setToolTipText(KRAnnotationUIMessages.closeTheToolbarWithoutSaving);
+		closeButton.setToolTipText(Messages.closeTheToolbarWithoutSaving);
 		closeButton.setImage(IImageKeys.getImage(IImageKeys.ACTION_DELETE));
 		closeButton.setLayoutData(new GridData(GridData.END, GridData.CENTER, true, false));
 		closeButton.addSelectionListener(new SelectionListener() {
@@ -681,7 +681,7 @@
 		final String svalue = annotationValuesText.getText();
 		final boolean doAffect = addRemoveCombo.getSelectionIndex() == 0; // add is default
 		
-		JobHandler job = new JobHandler(KRAnnotationUIMessages.annotatingConcordanceSelection, true) {
+		JobHandler job = new JobHandler(Messages.annotatingConcordanceSelection, true) {
 			
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
@@ -695,12 +695,12 @@
 					}
 				}
 				catch (Exception e) {
-					Log.severe(NLS.bind(KRAnnotationUIMessages.errorWhileAnnotatingConcordanceSelectionColonP0, e));
+					Log.severe(NLS.bind(Messages.errorWhileAnnotatingConcordanceSelectionColonP0, e));
 					Log.printStackTrace(e);
 					return Status.CANCEL_STATUS;
 				}
 				catch (ThreadDeath td) {
-					Log.info(KRAnnotationUIMessages.annotationCanceledByUser);
+					Log.info(Messages.annotationCanceledByUser);
 					return Status.CANCEL_STATUS;
 				}
 				
@@ -786,7 +786,7 @@
 				}
 			}
 			catch (Exception e1) {
-				Log.warning(NLS.bind(KRAnnotationUIMessages.errorWhileDeletingAnnotationColonP0, e1));
+				Log.warning(NLS.bind(Messages.errorWhileDeletingAnnotationColonP0, e1));
 				Log.printStackTrace(e1);
 				return;
 			}
@@ -829,8 +829,8 @@
 				if (matches.size() > NALERTAFFECTANNOTATIONS) {
 					ConfirmDialog dialog = new ConfirmDialog(Display.getCurrent().getActiveShell(),
 							"confirm_annotate",  //$NON-NLS-1$
-							KRAnnotationUIMessages.confirmAnnotationAffectation,
-							NLS.bind(KRAnnotationUIMessages.youAreAboutToAnnotateP0ElementsContinue, matches.size()));
+							Messages.confirmAnnotationAffectation,
+							NLS.bind(Messages.youAreAboutToAnnotateP0ElementsContinue, matches.size()));
 					
 					if (dialog.open() == ConfirmDialog.CANCEL) {
 						Log.info("Annotation aborted by user.");
@@ -841,7 +841,7 @@
 		});
 		
 		// get value from combo text value
-		Log.fine(NLS.bind(KRAnnotationUIMessages.lookingForTypedValueWithIdEqualsP0, svalue));
+		Log.fine(NLS.bind(Messages.lookingForTypedValueWithIdEqualsP0, svalue));
 		final KnowledgeRepository kr = KnowledgeRepositoryManager.getKnowledgeRepository(type.getKnowledgeRepository());
 		value_to_add = kr.getValue(type, svalue);
 		
@@ -853,8 +853,8 @@
 				public void run() {
 					String title = kr.getString(editor.getLocale(), "ConcordancesEditor_110"); //$NON-NLS-1$
 					String content = kr.getString(editor.getLocale(), "ConcordancesEditor_112"); //$NON-NLS-1$
-					if (title == null) title = KRAnnotationUIMessages.newValueP0ForCategoryP1;
-					if (content == null) content = KRAnnotationUIMessages.theValueP0IsNotAssociatedWithTheCategoryP1AssociateIt;
+					if (title == null) title = Messages.newValueP0ForCategoryP1;
+					if (content == null) content = Messages.theValueP0IsNotAssociatedWithTheCategoryP1AssociateIt;
 					ConfirmDialog dialog = new ConfirmDialog(Display.getCurrent().getActiveShell(),
 							"create_value", //$NON-NLS-1$
 							ConcordanceUIMessages.bind(title, svalue, type.getName()),
@@ -880,7 +880,7 @@
 				
 				@Override
 				public void run() {
-					String mess = ConcordanceUIMessages.bind(KRAnnotationUIMessages.noValueFoundWithTheP0Id, svalue);
+					String mess = ConcordanceUIMessages.bind(Messages.noValueFoundWithTheP0Id, svalue);
 					Log.warning(mess);
 					MessageDialog.openError(Display.getCurrent().getActiveShell(), "Annotation canceled", mess); //$NON-NLS-1$
 				}
@@ -896,16 +896,16 @@
 			
 			// did we had problems ?
 			if (existingAnnots != null && existingAnnots.size() > 0) {
-				String message = NLS.bind(KRAnnotationUIMessages.couldNotAnnotateTheValueP0OnCertainSequences, value_to_add.getStandardName());
+				String message = NLS.bind(Messages.couldNotAnnotateTheValueP0OnCertainSequences, value_to_add.getStandardName());
 				for (Match m : existingAnnots.keySet()) {
-					message += NLS.bind(KRAnnotationUIMessages.theSequenceP0IsOverlappingWith, m);
+					message += NLS.bind(Messages.theSequenceP0IsOverlappingWith, m);
 					
 					for (Annotation existingAnnot : existingAnnots.get(m)) {
 						if (existingAnnot.getStart() < m.getStart()) {
-							message += TXMCoreMessages.bind(KRAnnotationUIMessages.theEndOfAStructureP0AtP1P2, existingAnnot.getType(), existingAnnot.getStart(), existingAnnot.getEnd());
+							message += TXMCoreMessages.bind(Messages.theEndOfAStructureP0AtP1P2, existingAnnot.getType(), existingAnnot.getStart(), existingAnnot.getEnd());
 						}
 						else {
-							message += TXMCoreMessages.bind(KRAnnotationUIMessages.theStartOfAStructureP0AtP1P2, existingAnnot.getType(), existingAnnot.getStart(), existingAnnot.getEnd());
+							message += TXMCoreMessages.bind(Messages.theStartOfAStructureP0AtP1P2, existingAnnot.getType(), existingAnnot.getStart(), existingAnnot.getEnd());
 						}
 					}
 				}
@@ -914,7 +914,7 @@
 					
 					@Override
 					public void run() {
-						MessageDialog.openInformation(editor.getSite().getShell(), KRAnnotationUIMessages.aboutAnnotations, final_message);
+						MessageDialog.openInformation(editor.getSite().getShell(), Messages.aboutAnnotations, final_message);
 					}
 				});
 			}
@@ -927,7 +927,7 @@
 			//concordance.reloadCurrentLines();
 		}
 		catch (Exception e1) {
-			Log.warning(NLS.bind(KRAnnotationUIMessages.errorWhileAffectionAnnotationColonP0, e1));
+			Log.warning(NLS.bind(Messages.errorWhileAffectionAnnotationColonP0, e1));
 			Log.printStackTrace(e1);
 			return;
 		}
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java	(revision 3817)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java	(revision 3818)
@@ -52,7 +52,7 @@
 import org.txm.annotation.kr.core.repository.TypedValue;
 import org.txm.annotation.kr.rcp.commands.InitializeKnowledgeRepository;
 import org.txm.annotation.kr.rcp.commands.SaveAnnotations;
-import org.txm.annotation.kr.rcp.messages.KRAnnotationUIMessages;
+import org.txm.annotation.kr.rcp.messages.Messages;
 import org.txm.annotation.kr.rcp.views.knowledgerepositories.KRView;
 import org.txm.annotation.rcp.editor.AnnotationArea;
 import org.txm.annotation.rcp.editor.AnnotationExtension;
@@ -143,7 +143,7 @@
 	
 	@Override
 	public String getName() {
-		return KRAnnotationUIMessages.motsPropritsInfDfaut;
+		return Messages.motsPropritsInfDfaut;
 	}
 	
 	@Override
@@ -199,8 +199,8 @@
 				if (matches.size() > NALERTAFFECTANNOTATIONS) {
 					ConfirmDialog dialog = new ConfirmDialog(Display.getCurrent().getActiveShell(),
 							"confirm_annotate",  //$NON-NLS-1$
-							KRAnnotationUIMessages.confirmAnnotationAffectation,
-							NLS.bind(KRAnnotationUIMessages.youAreAboutToAnnotateP0ElementsContinue, matches.size()));
+							Messages.confirmAnnotationAffectation,
+							NLS.bind(Messages.youAreAboutToAnnotateP0ElementsContinue, matches.size()));
 					
 					if (dialog.open() == ConfirmDialog.CANCEL) {
 						Log.info("Annotation aborted by user.");
@@ -211,7 +211,7 @@
 		});
 		
 		// get value from combo text value
-		Log.fine(NLS.bind(KRAnnotationUIMessages.lookingForTypedValueWithIdEqualsP0, svalue));
+		Log.fine(NLS.bind(Messages.lookingForTypedValueWithIdEqualsP0, svalue));
 		final KnowledgeRepository kr = KnowledgeRepositoryManager.getKnowledgeRepository(type.getKnowledgeRepository());
 		value_to_add = kr.getValue(type, svalue);
 		
@@ -225,7 +225,7 @@
 				
 				@Override
 				public void run() {
-					String mess = KRAnnotationUIMessages.bind(KRAnnotationUIMessages.noValueFoundWithTheP0Id, svalue);
+					String mess = Messages.bind(Messages.noValueFoundWithTheP0Id, svalue);
 					Log.warning(mess);
 					MessageDialog.openError(Display.getCurrent().getActiveShell(), "Annotation canceled", mess);
 				}
@@ -233,7 +233,7 @@
 			return;
 		}
 		
-		Log.info(TXMCoreMessages.bind(KRAnnotationUIMessages.AffectP0ToSelectionEqualsP1, value_to_add.getId(), value_to_add.getTypeID(), matches.size()));
+		Log.info(TXMCoreMessages.bind(Messages.AffectP0ToSelectionEqualsP1, value_to_add.getId(), value_to_add.getTypeID(), matches.size()));
 		
 		// finally we can 'try' to create the annotations \o/
 		try {
@@ -242,16 +242,16 @@
 			//System.out.println("END OF CREATE ANNOTATIONS");
 			// did we had problems ?
 			if (existingAnnots != null && existingAnnots.size() > 0) {
-				String message = NLS.bind(KRAnnotationUIMessages.couldNotAnnotateTheValueP0OnCertainSequences, value_to_add.getStandardName());
+				String message = NLS.bind(Messages.couldNotAnnotateTheValueP0OnCertainSequences, value_to_add.getStandardName());
 				for (Match m : existingAnnots.keySet()) {
-					message += NLS.bind(KRAnnotationUIMessages.theSequenceP0IsOverlappingWith, m);
+					message += NLS.bind(Messages.theSequenceP0IsOverlappingWith, m);
 					
 					for (Annotation existingAnnot : existingAnnots.get(m)) {
 						if (existingAnnot.getStart() < m.getStart()) {
-							message += TXMCoreMessages.bind(KRAnnotationUIMessages.theEndOfAStructureP0AtP1P2, existingAnnot.getType(), existingAnnot.getStart(), existingAnnot.getEnd());
+							message += TXMCoreMessages.bind(Messages.theEndOfAStructureP0AtP1P2, existingAnnot.getType(), existingAnnot.getStart(), existingAnnot.getEnd());
 						}
 						else {
-							message += TXMCoreMessages.bind(KRAnnotationUIMessages.theStartOfAStructureP0AtP1P2, existingAnnot.getType(), existingAnnot.getStart(), existingAnnot.getEnd());
+							message += TXMCoreMessages.bind(Messages.theStartOfAStructureP0AtP1P2, existingAnnot.getType(), existingAnnot.getStart(), existingAnnot.getEnd());
 						}
 					}
 				}
@@ -260,7 +260,7 @@
 					
 					@Override
 					public void run() {
-						MessageDialog.openInformation(editor.getSite().getShell(), KRAnnotationUIMessages.aboutAnnotations, final_message);
+						MessageDialog.openInformation(editor.getSite().getShell(), Messages.aboutAnnotations, final_message);
 					}
 				});
 			}
@@ -273,7 +273,7 @@
 			// concordance.reloadCurrentLines();
 		}
 		catch (Exception e1) {
-			Log.warning(NLS.bind(KRAnnotationUIMessages.errorWhileAffectionAnnotationColonP0, e1));
+			Log.warning(NLS.bind(Messages.errorWhileAffectionAnnotationColonP0, e1));
 			Log.printStackTrace(e1);
 			return;
 		}
@@ -313,7 +313,7 @@
 	protected void deleteAnnotationValues(final List<Match> matches) {
 		final AnnotationType type = getSelectedAnnotationType();
 		
-		JobHandler job = new JobHandler(KRAnnotationUIMessages.annotatingConcordanceSelection, true) {
+		JobHandler job = new JobHandler(Messages.annotatingConcordanceSelection, true) {
 			
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
@@ -322,12 +322,12 @@
 					deleteAnnotationValues(matches, type, this);
 				}
 				catch (Exception e) {
-					Log.severe(NLS.bind(KRAnnotationUIMessages.errorWhileAnnotatingConcordanceSelectionColonP0, e));
+					Log.severe(NLS.bind(Messages.errorWhileAnnotatingConcordanceSelectionColonP0, e));
 					Log.printStackTrace(e);
 					return Status.CANCEL_STATUS;
 				}
 				catch (ThreadDeath td) {
-					Log.info(KRAnnotationUIMessages.annotationCanceledByUser);
+					Log.info(Messages.annotationCanceledByUser);
 					return Status.CANCEL_STATUS;
 				}
 				
@@ -358,7 +358,7 @@
 			}
 		}
 		catch (Exception e1) {
-			Log.warning(NLS.bind(KRAnnotationUIMessages.errorWhileDeletingAnnotationColonP0, e1));
+			Log.warning(NLS.bind(Messages.errorWhileDeletingAnnotationColonP0, e1));
 			Log.printStackTrace(e1);
 			return;
 		}
@@ -384,7 +384,7 @@
 		final AnnotationType type = getSelectedAnnotationType();
 		final String svalue = annotationValuesText.getText();
 		
-		JobHandler job = new JobHandler(KRAnnotationUIMessages.annotatingConcordanceSelection, true) {
+		JobHandler job = new JobHandler(Messages.annotatingConcordanceSelection, true) {
 			
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
@@ -393,12 +393,12 @@
 					affectAnnotationValues(matches, type, svalue, this);
 				}
 				catch (Exception e) {
-					Log.severe(NLS.bind(KRAnnotationUIMessages.errorWhileAnnotatingConcordanceSelectionColonP0, e));
+					Log.severe(NLS.bind(Messages.errorWhileAnnotatingConcordanceSelectionColonP0, e));
 					Log.printStackTrace(e);
 					return Status.CANCEL_STATUS;
 				}
 				catch (ThreadDeath td) {
-					Log.info(KRAnnotationUIMessages.annotationCanceledByUser);
+					Log.info(Messages.annotationCanceledByUser);
 					return Status.CANCEL_STATUS;
 				}
 				
@@ -428,8 +428,8 @@
 		
 		annotationColumnViewer = new TableViewerColumn(viewer, SWT.CENTER, position);
 		annotationColumn = annotationColumnViewer.getColumn();
-		annotationColumn.setText(KRAnnotationUIMessages.property);
-		annotationColumn.setToolTipText(KRAnnotationUIMessages.keywordsAnnotation);
+		annotationColumn.setText(Messages.property);
+		annotationColumn.setToolTipText(Messages.keywordsAnnotation);
 		annotationColumn.setAlignment(SWT.CENTER);
 		annotationColumn.pack();
 		annotationColumn.setResizable(true);
@@ -522,9 +522,9 @@
 			}
 		}
 		
-		Log.fine(NLS.bind(KRAnnotationUIMessages.availableAnnotationTypesColonP0, typesList));
+		Log.fine(NLS.bind(Messages.availableAnnotationTypesColonP0, typesList));
 		
-		annotationArea = new GLComposite(parent, SWT.NONE, KRAnnotationUIMessages.concordanceAnnotationArea);
+		annotationArea = new GLComposite(parent, SWT.NONE, Messages.concordanceAnnotationArea);
 		annotationArea.getLayout().numColumns = 12;
 		annotationArea.getLayout().horizontalSpacing = 2;
 		annotationArea.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false));
@@ -598,7 +598,7 @@
 		});
 		
 		addAnnotationTypeLink = new Button(annotationArea, SWT.PUSH);
-		addAnnotationTypeLink.setToolTipText(KRAnnotationUIMessages.addANewCategory);
+		addAnnotationTypeLink.setToolTipText(Messages.addANewCategory);
 		addAnnotationTypeLink.setImage(IImageKeys.getImage(IImageKeys.ACTION_ADD));
 		addAnnotationTypeLink.setEnabled(true);
 		addAnnotationTypeLink.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
@@ -665,7 +665,7 @@
 		equalLabel.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		
 		annotationValuesText = new Text(annotationArea, SWT.BORDER);
-		annotationValuesText.setToolTipText(KRAnnotationUIMessages.enterAValueForAnId);
+		annotationValuesText.setToolTipText(Messages.enterAValueForAnId);
 		GridData gdata2 = new GridData(SWT.FILL, SWT.CENTER, false, false);
 		gdata2.widthHint = 200;
 		annotationValuesText.setLayoutData(gdata2);
@@ -684,7 +684,7 @@
 		
 		addTypedValueLink = new Button(annotationArea, SWT.PUSH);
 		addTypedValueLink.setText("..."); //$NON-NLS-1$
-		addTypedValueLink.setToolTipText(KRAnnotationUIMessages.selectAValueAmongTheList);
+		addTypedValueLink.setToolTipText(Messages.selectAValueAmongTheList);
 		addTypedValueLink.setEnabled(true);
 		addTypedValueLink.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		addTypedValueLink.addSelectionListener(new SelectionListener() {
@@ -701,7 +701,7 @@
 				
 				ListDialog dialog = new ListDialog(e.widget.getDisplay().getActiveShell());
 				String title = currentKnowledgeRepository.getString(editor.getLocale(), "ConcordancesEditor_100"); //$NON-NLS-1$
-				if (title == null) title = KRAnnotationUIMessages.availableValuesForP0;
+				if (title == null) title = Messages.availableValuesForP0;
 				dialog.setTitle(ConcordanceUIMessages.bind(title, type.getName()));// +"valeurs de "+type.getName());
 				dialog.setContentProvider(new ArrayContentProvider());
 				dialog.setLabelProvider(new SimpleLabelProvider() {
@@ -738,8 +738,8 @@
 		new Label(annotationArea, SWT.NONE).setText(" ");
 		
 		affectAnnotationButton = new Button(annotationArea, SWT.PUSH);
-		affectAnnotationButton.setText(KRAnnotationUIMessages.oK);
-		affectAnnotationButton.setToolTipText(KRAnnotationUIMessages.proceedToAnnotation);
+		affectAnnotationButton.setText(Messages.oK);
+		affectAnnotationButton.setToolTipText(Messages.proceedToAnnotation);
 		affectAnnotationButton.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		affectAnnotationButton.addSelectionListener(new SelectionListener() {
 			
@@ -753,8 +753,8 @@
 		});
 		
 		deleteAnnotationButton = new Button(annotationArea, SWT.PUSH);
-		deleteAnnotationButton.setText(KRAnnotationUIMessages.delete);
-		deleteAnnotationButton.setToolTipText(KRAnnotationUIMessages.delete);
+		deleteAnnotationButton.setText(Messages.delete);
+		deleteAnnotationButton.setToolTipText(Messages.delete);
 		deleteAnnotationButton.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		deleteAnnotationButton.addSelectionListener(new SelectionListener() {
 			
@@ -768,8 +768,8 @@
 		});
 		
 		affectAllAnnotationButton = new Button(annotationArea, SWT.PUSH);
-		affectAllAnnotationButton.setText(KRAnnotationUIMessages.all);
-		affectAllAnnotationButton.setToolTipText(KRAnnotationUIMessages.proceedToAnnotation);
+		affectAllAnnotationButton.setText(Messages.all);
+		affectAllAnnotationButton.setToolTipText(Messages.proceedToAnnotation);
 		affectAllAnnotationButton.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		affectAllAnnotationButton.addSelectionListener(new SelectionListener() {
 			
@@ -781,7 +781,7 @@
 					affectAnnotationsToMatches(matches);
 				}
 				catch (Exception e1) {
-					Log.severe(NLS.bind(KRAnnotationUIMessages.errorWhileAnnotatingConcordanceColonP0, e1.getLocalizedMessage()));
+					Log.severe(NLS.bind(Messages.errorWhileAnnotatingConcordanceColonP0, e1.getLocalizedMessage()));
 					Log.printStackTrace(e1);
 					return;
 				}
@@ -793,7 +793,7 @@
 		
 		addAnnotationTypeButton = new Button(annotationArea, SWT.PUSH);
 		addAnnotationTypeButton.setLayoutData(new GridData(GridData.END, GridData.CENTER, true, false));
-		addAnnotationTypeButton.setToolTipText(KRAnnotationUIMessages.addANewCategory);
+		addAnnotationTypeButton.setToolTipText(Messages.addANewCategory);
 		addAnnotationTypeButton.setImage(IImageKeys.getImage(IImageKeys.ACTION_ADD));
 		addAnnotationTypeButton.addSelectionListener(new SelectionListener() {
 			
@@ -822,7 +822,7 @@
 		});
 		
 		Button closeButton = new Button(annotationArea, SWT.PUSH);
-		closeButton.setToolTipText(KRAnnotationUIMessages.closeTheToolbarWithoutSaving);
+		closeButton.setToolTipText(Messages.closeTheToolbarWithoutSaving);
 		closeButton.setImage(IImageKeys.getImage(IImageKeys.ACTION_DELETE));
 		
 		closeButton.addSelectionListener(new SelectionListener() {
@@ -884,7 +884,7 @@
 		
 		LocalKnowledgeRepository kr = (LocalKnowledgeRepository) currentKnowledgeRepository;
 		if (typeName == null) typeName = ""; //$NON-NLS-1$
-		InputDialog dialog = new InputDialog(e.widget.getDisplay().getActiveShell(), KRAnnotationUIMessages.nouvelleProprit, KRAnnotationUIMessages.nomDeLaPropritPatternEqualsazaz09Plus, typeName,
+		InputDialog dialog = new InputDialog(e.widget.getDisplay().getActiveShell(), Messages.nouvelleProprit, Messages.nomDeLaPropritPatternEqualsazaz09Plus, typeName,
 				null);
 		if (dialog.open() == InputDialog.OK) {
 			String name = dialog.getValue();
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/RecodeCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/RecodeCorpus.java	(revision 3817)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/RecodeCorpus.java	(revision 3818)
@@ -23,7 +23,7 @@
 import org.kohsuke.args4j.Option;
 import org.txm.Toolbox;
 import org.txm.annotation.kr.core.conversion.CorpusRuledConvertion;
-import org.txm.annotation.kr.rcp.messages.KRAnnotationUIMessages;
+import org.txm.annotation.kr.rcp.messages.Messages;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.objects.Project;
 import org.txm.rcp.commands.CloseEditorsUsing;
@@ -133,7 +133,7 @@
 		// monitor.setTaskName("Updating corpus");
 		// File scriptDir = new File(txmhome, "scripts/groovy/user/org/txm/scripts/importer/xtz");
 		// File script = new File(scriptDir, "xtzLoader.groovy");
-		Log.info(NLS.bind(KRAnnotationUIMessages.updatingTheP0Corpus, corpus));
+		Log.info(NLS.bind(Messages.updatingTheP0Corpus, corpus));
 		JobHandler ret = ExecuteImportScript.executeScript(project);
 		Display.getDefault().syncExec(new Runnable() {
 			
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotationsAndUpdateCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotationsAndUpdateCorpus.java	(revision 3817)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotationsAndUpdateCorpus.java	(revision 3818)
@@ -18,6 +18,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.annotation.kr.core.KRAnnotationEngine;
 import org.txm.annotation.kr.core.preferences.KRAnnotationPreferences;
+import org.txm.annotation.kr.rcp.messages.Messages;
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
 import org.txm.core.results.TXMResult;
 import org.txm.objects.Workspace;
@@ -70,7 +71,7 @@
 //		}
 		
 		if (corpusWithAnnotationsToSave.size() == 0) {
-			Log.info(NLS.bind("No CQP annotations found to save in the corpora: {0}", corpora));
+			Log.info(NLS.bind(Messages.NoCQPAnnotationsFoundToSaveInTheCorporaP0, corpora));
 			return null;
 		}
 		
@@ -89,8 +90,8 @@
 				@Override
 				public void run() {
 					UpdateCorpusDialog dialog = new UpdateCorpusDialog(Display.getDefault().getActiveShell());
-					dialog.setTitle("Before saving annotations...");
-					dialog.setMessages("Save Annotations and update the corpus.", dialog.getBottomMessage());
+					dialog.setTitle(Messages.BeforeSavingAnnotations);
+					dialog.setMessages(Messages.SaveAnnotationsAndUpdateTheCorpus, dialog.getBottomMessage());
 					dialog.setDoForceUpdate(false);
 					dialog.setDoUpdateEdition(KRAnnotationPreferences.getInstance().getBoolean(KRAnnotationPreferences.UPDATE_EDITION));
 					if (selection.getFirstElement() != null && selection.getFirstElement() instanceof MainCorpus) {
@@ -109,7 +110,7 @@
 			
 			final MainCorpus fcorpus = corpus[0];
 			
-			Log.info(NLS.bind("Saving {0} annotations...", fcorpus.getName()));
+			Log.info(NLS.bind(Messages.SaveP0Annotations, fcorpus.getName()));
 			JobHandler job = SaveAnnotations.save(fcorpus);
 			if (job == null) {
 				return null;
@@ -118,14 +119,14 @@
 			if (job.getState() == Status.OK_STATUS.getCode()) {
 				if (KRAnnotationPreferences.getInstance().getBoolean(KRAnnotationPreferences.UPDATE)) {
 					
-					JobHandler job2 = new JobHandler("Updating corpus editions and indexes", true) {
+					JobHandler job2 = new JobHandler(Messages.UpdatingCorpusEditionsAndIndexes, true) {
 						
 						@Override
 						protected IStatus run(IProgressMonitor monitor) {
 							this.runInit(monitor);
 							
 							try {
-								monitor.setTaskName("Updating corpus");
+								monitor.setTaskName(Messages.UpdatingCorpus);
 								if (fcorpus != null && UpdateCorpus.update(fcorpus, false, doupdateedition[0]) != null) {
 									monitor.worked(50);
 									this.syncExec(new Runnable() {
@@ -139,19 +140,19 @@
 								}
 								else {
 									monitor.worked(50);
-									Log.warning("Fail to update corpus. Aborting");
-									Log.warning("Fix XML-TXM files and call command 'UpdateCorpus'");
+									Log.warning(Messages.FailToUpdateTheCorpusAborting);
+									Log.warning(Messages.FixXMLTXMFilesAndCallCommandUpdateCorpus);
 									return Status.CANCEL_STATUS;
 								}
 							} catch(ThreadDeath ex) {
-								Log.info(TXMUIMessages.executionCanceled);
+								Log.info(Messages.executionCanceled);
 								return Status.CANCEL_STATUS;
 							}
 						}
 					};
 					job2.schedule();
 				} else {
-					Log.warning("CQP indexes not updated. Only the XML-TXM files have been updated. Call Update corpus later to access the annotations");
+					Log.warning(Messages.CQPIndexesNotUpdatedOnlyTheXMLTXMFilesHaveBeenUpdated);
 				}
 			}
 
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/preferences/KRAnnotationPreferencePage.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/preferences/KRAnnotationPreferencePage.java	(revision 3817)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/preferences/KRAnnotationPreferencePage.java	(revision 3818)
@@ -37,6 +37,7 @@
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.ui.IWorkbench;
 import org.txm.annotation.kr.core.preferences.KRAnnotationPreferences;
+import org.txm.annotation.kr.rcp.messages.Messages;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.preferences.TXMPreferencePage;
@@ -72,13 +73,13 @@
 	 */
 	@Override
 	public void createFieldEditors() {
-		this.addField(new BooleanFieldEditor(KRAnnotationPreferences.PRESERVE_ANNOTATIONS, "Preserve annotations between TXM sessions", this.getFieldEditorParent()));
+		this.addField(new BooleanFieldEditor(KRAnnotationPreferences.PRESERVE_ANNOTATIONS, Messages.PreserveAnnotationBetweenTXMSessions, this.getFieldEditorParent()));
 		
-		updateCorpusField = new BooleanFieldEditor(KRAnnotationPreferences.UPDATE, "Update corpus after writing the annotations (warning the annotations won't be visible but saved in the XML-TXM files)" , this.getFieldEditorParent());
+		updateCorpusField = new BooleanFieldEditor(KRAnnotationPreferences.UPDATE, Messages.UpdateCorpusAfterWritingTheAnnotations , this.getFieldEditorParent());
 		this.addField(updateCorpusField);
 		
 		updateGroup = new Group(getFieldEditorParent(), SWT.NONE);
-		updateGroup.setText("Update option");
+		updateGroup.setText(Messages.UpdateOptions);
 		GridData gridData2 = new GridData(SWT.FILL, SWT.FILL, true, false);
 		gridData2.horizontalSpan = 3;
 		gridData2.verticalIndent = 10;
@@ -87,7 +88,7 @@
 		rlayout.marginHeight = 5;
 		updateGroup.setLayout(rlayout);
 		
-		updateEditionField = new BooleanFieldEditor(KRAnnotationPreferences.UPDATE_EDITION, "Update editions" , updateGroup);
+		updateEditionField = new BooleanFieldEditor(KRAnnotationPreferences.UPDATE_EDITION, Messages.UpdateEdition , updateGroup);
 		this.addField(updateEditionField);
 	}
 	
